nasm -f elf -o output/loader.o src/loader.s
nasm -f elf -o output/asm_funcs.o src/io/asm_funcs.asm
i586-elf-gcc -o output/kernel.o -c src/kernel.c -Wall -Wextra -Werror -nostdlib -fno-builtin -nostartfiles -nodefaultlibs 
::-pedantic
i586-elf-gcc -o output/keyboard.o -c src/io/keyboard.c -Wall -Wextra -Werror -nostdlib -fno-builtin -nostartfiles -nodefaultlibs
i586-elf-gcc -o output/idt_gdt_isr.o -c src/idt_gdt_isr.c -Wall -Wextra -Werror -nostdlib -fno-builtin -nostartfiles -nodefaultlibs 

cd output
i586-elf-ld -T imp_files/linker.ld -o kernel.bin loader.o kernel.o asm_funcs.o idt_gdt_isr.o keyboard.o
cat imp_files/stage1 imp_files/stage2 imp_files/pad kernel.bin > Manu_OS.img
