#include "keyboard.h"

uint8 kbdus[128] =
{
    0,  27, '1', '2', '3', '4', '5', '6', '7', '8',	/* 9 */
  '9', '0', '-', '=', '\b',	/* Backspace */
  '\t',			/* Tab */
  'q', 'w', 'e', 'r',	/* 19 */
  't', 'y', 'u', 'i', 'o', 'p', '[', ']', '\n',		/* Enter key */
    0,			/* 29   - Control */
  'a', 's', 'd', 'f', 'g', 'h', 'j', 'k', 'l', ';',	/* 39 */
 '\'', '`',   0,		/* Left shift */
 '\\', 'z', 'x', 'c', 'v', 'b', 'n',			/* 49 */
  'm', ',', '.', '/',   0,					/* Right shift */
  '*',
    0,	/* Alt */
  ' ',	/* Space bar */
    0,	/* Caps lock */
    0,	/* 59 - F1 key ... > */
    0,   0,   0,   0,   0,   0,   0,   0,
    0,	/* < ... F10 */
    0,	/* 69 - Num lock*/
    0,	/* Scroll Lock */
    0,	/* Home */
    0,	/* Up Arrow */
    0,	/* Page Up */
  '-',
    0,	/* Left Arrow */
    0,
    0,	/* Right Arrow */
  '+',
    0,	/* 79 - End*/
    0,	/* Down Arrow */
    0,	/* Page Down */
    0,	/* Insert */
    0,	/* Delete */
    0,   0,   0,
    0,	/* F11 */
    0,	/* F12 */
    0,	/* All others */
};


void irq1_keyb(regs_t regs)
{
	uint8 scancode;
    
    scancode = in(0x60);
    if (scancode & 0x80)
    {
        //break code
    }
    else
     outbyte(kbdus[scancode]);
    if(regs.err_code){}
}

void init_keyboard()
{
	//mprintf("Keyboard initiated",success_text_colour);
}

int getch()
{
	return 0;
}

