#include "../include/types.h"
typedef struct registers_s
{
    unsigned int ds;
    unsigned int edi, esi, ebp, esp, ebx, edx, ecx, eax; //for popa
    unsigned int int_no, err_code;
    unsigned int eip, cs, eflags, useresp, ss;
} regs_t; 

extern void mprintf(char *fmt,int colour);
extern int outbyte(int c);
uchar in(ushort _port);
void out(ushort _port, uchar _data);

#define outb(port,data) out(port,data)
#define outportb(port,data) out(port,data)
#define inb(port) in(port)
#define inportb(port) in(port)
