#define internal
#include "kernel.h"
#define timer_freq 1
unsigned long timer_ticks=0;
int time_cur_pos=0; //the position at which time has to be printed.
uchar *vidram=(uchar *)vdu_mem;


void kernel_main() 
{
	  extern void irq_0();extern void irq_1();
	//unsigned long a=1;
	start_beep();
	cls(welcome_scr_bcg);//clear the screen
	//welcome();// display welcome screen
	set_cursor0();
	cls(screen_bcg_colour);
	terminal();
	init_idt_gdt();
	init_timer(timer_freq);
	mprintf(newline " Timer initiated at ",screen_bcg_colour);print_int(timer_freq,screen_bcg_colour);
	mprintf(" hz",screen_bcg_colour);
	mprintf(newline " Back to main()  :D " newline,special_text_colour);
    

	time_cur_pos=37+strlen(name)+4+4+3;
	stop_beep();
	mprintf(newline "in main ",special_text_colour);
	asm ("sti"::);
	
    while(1);

}

extern int Sum();  
void asm_try()
{
	int a1,a2,a3,x;
	a1=7;a2=1;a3=2;
	x = Sum(a1, a2,a3);
	mprintf(newline " Sum = ",screen_bcg_colour);
	print_int(x,screen_bcg_colour);
	mprintf(newline ,screen_bcg_colour);
}

void pixtry()
{
	short a;
	//set_cursor_pos(0);
	mprintf(newline,screen_bcg_colour);
	mprintf("Chart of characters from ascii value 0-256 ",screen_bcg_colour);
	mprintf(newline "================================================================================" newline ,screen_bcg_colour);
	for(a=0;a<=255;a++)
	{
		outbyte(a);
		outbyte(' ');
	}
	mprintf(newline "================================================================================" newline ,screen_bcg_colour);
	outbyte(219);outbyte(219);outbyte(' ');outbyte(220);outbyte(' ');outbyte(7);
	
}

void print_int(int a, int colour)
{
	int i=1,len;
	len=intlen(a);
	while(i<=len)
	{
		outbyte(intat(a,i)+48);
		_outc_bcg_pos(colour,get_cursor_pos());
		i++;
	}
}

void print_int_(int a)
{
	int tmp,aa;tmp=0;aa=0;
	tmp=a;
	while(tmp)
	{
		aa=(aa*10)+(tmp%10);
		tmp/=10;
	}
	while(aa)
	{
		outbyte((aa%10)+48);
		aa/=10;
	}
}

void print_long_(unsigned long a)
{
	unsigned long tmp,aa;tmp=0;aa=0;
	tmp=a;
	while(tmp)
	{
		aa=(aa*10)+(tmp%10);
		tmp/=10;
	}
	while(aa)
	{
		outbyte((aa%10)+48);
		aa/=10;
	}
}

int intlen(int a) // works correctly
{ 
	int num,len;
	num=a;len=0;
	do 
	{
		len+=1;
		num=(int)(num/10);
	} 
	while(num!=0);
	return len; 
}

int intat(int a, int pos) // works correctly
{
	
	int aa,len,num; 
	len=intlen(a);
	aa=a;
	if(pos>len)
		return -1;

	aa=(int)(aa/(power(10,len-pos)));
	num=aa%10;
	
	return num;

}

double power(double a,int t) // works correctly
{ 
	double sum;int i;
	sum=0;
	if(t==0) 
		return 1; 
	else if(t>0) 
	{ 
	    sum=a;
		for(i=1;i<t;i++)
		{sum*=a;}  
		return sum;
	} 
	else if(t<0) 
	{ 
		int pt;//positive value of t;
		sum=0;pt=t*-1;
		sum=a; 
		for(i=1;i<pt;i++) 
		{ sum*=a;}//          -n       n
		sum=1/sum;// because a   = 1/a
		return sum;
	} 
	return 0; 
}
/*
void disable_blink()
{
   
    asm(".intel_syntax noprefix");
	asm(" mov ax, 0x1003 \n\t"
	    " mov bl,0x00    \n\t");
	
}*/


uchar in(ushort _port)
{
	uchar result;
	__asm__  ("in %%dx, %%al" : "=a" (result) : "d" (_port));
	return result;
}

void out(ushort _port, uchar _data)
{
	 __asm__ ("out %%al, %%dx" : :"a" (_data), "d" (_port));//inline assembly . works for gcc compiler
}

void start_beep()
{
	out(0x61,3);
}
void stop_beep()
{
	out(0x61,0);
}

#ifdef text_mode

#ifdef _welcome

void scroll_up(uint16 lines, uint16 pos, uint16 diff)
{
	int curpos; uchar *src;
	uint16 a=0;src=(uchar *)(vdu_mem+pos); 
	curpos=get_cursor_pos();
	set_cursor_pos(pos);
	if(pos<to_offset(0,80))
	{
		src+=diff;
		for(;a<lines*cols;a++)
		  outbyte(*src++);
	}
	else
	{
		for(;a<lines*cols;a++)
		  outbyte(0);
	}
	set_cursor_pos(curpos/2);	
}

void scroll_down(uint8 lines,uint16 pos)
{
	uint8 i,j;
	i=0;j=0;
	while(j<lines)
	{
		set_cursor_pos(pos);
		while(i<24)//0-24 rows present but proceed only till last but one row
		{
			*vidram=*(vidram+(80*2));
			move_cursor(1);i++;
			vidram-=1;//in move_cursor(i), this pointer is moved by i*2
		}j++;
	}
}
void welcome()
{

	//int centre;
	draw_window(40,7,120,17,window_colour);
	
	move_cursor((screen_size/4)-(strlen(name)/2));
	mprintf(name newline htab htab htab htab htab htab htab htab "  ",window_colour);
	//mprintf(name newline htab htab htab htab htab htab htab htab htab htab,window_colour);
	//mprintf(name newline newline newline newline newline htab htab htab htab htab,window_colour);
	//mprintf("Press enter to continue...",window_colour);
	set_cursor0();
	//secDelay(2);
	//circular_dots("*",5000);
	linear_dots(".",10000);
	set_cursor0();
   
}

int linear_dots(char *a,int millisecs)
{
	int pos,distance;
	distance=1;
	//#define distance 2
	pos=get_cursor_pos()/2;
	mprintf(".  .  .  .  .",dots_colour_1);	
	set_cursor0();
	
	while(1)
	{
		set_cursor_pos(pos);
		
		
		mprintf(a,dots_colour_2);set_cursor0();
		milliDelay(500);millisecs-=500;
		mprintf(bkspace,dots_colour_1);set_cursor0();
		mprintf(a,dots_colour_1);move_cursor(distance);
		if(!millisecs)
		  return 0;
		  
		
		move_cursor(distance);
		mprintf(a,dots_colour_2);set_cursor0();
		milliDelay(500);millisecs-=500;
		mprintf(bkspace,dots_colour_1);
		mprintf(a,dots_colour_1);move_cursor(distance);
		if(!millisecs)
		  return 0;
		
		move_cursor(distance);
		mprintf(a,dots_colour_2);set_cursor0();
		milliDelay(500);millisecs-=500;
		mprintf(bkspace,dots_colour_1);
		mprintf(a,dots_colour_1);move_cursor(distance);
		if(!millisecs)
		  return 0;
		
		move_cursor(distance);
		mprintf(a,dots_colour_2);set_cursor0();
		milliDelay(500);millisecs-=500;
		mprintf(bkspace,dots_colour_1);
		mprintf(a,dots_colour_1);move_cursor(distance);
		if(!millisecs)
		  return 0;
		  
		move_cursor(distance);
		mprintf(a,dots_colour_2);set_cursor0();
		milliDelay(500);millisecs-=500;
		mprintf(bkspace ,dots_colour_1);
		mprintf(a,dots_colour_1);move_cursor(distance);
		if(!millisecs)
		  return 0;
	  }
	
	return 0;
}
/*
int circular_dots(char *a,int millisecs)
{
	int pos;
	pos=get_cursor_pos()/2;
	
	mprintf(a,dots_colour);move_cursor(81);mprintf(a,dots_colour);
	move_cursor(80-3);mprintf(a,dots_colour);move_cursor(-80-3);
	mprintf(a,dots_colour);set_cursor0();
	
	while(1)
	{
		set_cursor_pos(pos);
		
		mprintf(" ",dots_colour);set_cursor0();
		milliDelay(500);mprintf(bkspace,dots_colour);millisecs-=500;
		mprintf(a,dots_colour);set_cursor0();
		if(!millisecs)
		  return 0;
		  
		
		move_cursor(81);
		mprintf(" ",dots_colour);set_cursor0();
		milliDelay(500);mprintf(bkspace,dots_colour);millisecs-=500;
		mprintf(a,dots_colour);set_cursor0();
		if(!millisecs)
		  return 0;
		
		move_cursor(80-3);
		mprintf(" ",dots_colour);set_cursor0();
		milliDelay(500);mprintf(bkspace,dots_colour);millisecs-=500;
		mprintf(a,dots_colour);set_cursor0();
		if(!millisecs)
		  return 0;
		
		move_cursor(-80-3);
		mprintf(" ",dots_colour);set_cursor0();
		milliDelay(500);mprintf(bkspace,dots_colour);millisecs-=500;
		mprintf(a,dots_colour);set_cursor0();
		if(!millisecs)
		  return 0;
	  }
	
	return 0;
}
*/


void terminal()
{
	print_manuos();

	mprintf(newline" User@ManuOS // /broot//>",special_text_colour);
		
}

void print_manuos()//print ManuOS in the middle of the first row of the screen
{
	int a;
	set_cursor_pos(0);
	for(a=0;a<80;a++)
	 outbyte(0);
	set_cursor_pos(37);
	mprintf(name,special_text_colour);	
}

#endif

#ifdef _mprintf

void mprintf(char *fmt,int colour)
{

	while(*fmt!='\0')
	{
		if((get_cursor_pos()/2)==((80*25*2)-1))
		{
			cls(screen_bcg_colour);
			set_cursor_pos((get_cursor_pos()/2)%80);
		}
		 if(*fmt==_sequence)/* . is used insted of \ hence /n instead of \n */
		{
			switch(*(fmt+1))
			{
				case 'b'://back space
				{
					move_cursor(-1);
					outbyte(0);
					move_cursor(-1);
					++fmt;
					break;
				}
				case 'r'://line feed
				{
					move_cursor(((get_cursor_pos()/2)%80)*-1);
					
					++fmt;
					break;
				}
				case 'n'://new line
				{
					move_cursor(80-((get_cursor_pos()/2)%80));
					
					++fmt;
					break;
				}
				case 't'://horizontal tab
				{
					move_cursor(4);
					++fmt;
					break;
				}
				default:
				{
					outpix_pos(*(++fmt),colour,get_cursor_pos());
				}				
			}
		}
	   else
	    outpix_pos(*fmt,colour,get_cursor_pos());
	    	   
	   fmt++;
	}
	
} 

#endif

#ifdef ui

void cls(int colour)
{
	int i;
	vidram=(uchar *)vdu_mem;
	for(i=0;i<=screen_size;i+=2)
	{
		*(vidram+i)=0;
		*(vidram+i+1)=(uchar)colour;//(uchar)screen_bcg_colour;
	}	
}

void set_cursor(int offset)
{
  out(0x3D4, 14);
  out(0x3D5,(uchar) offset);
  out(0x3D4, 15);
  out(0x3D5,(uchar) offset>>2); 
}

void update_cursor(uint16 position)
{
    //uint16 position=(row*80) + col;
    outb(0x3D4, 0x0F);
    outb(0x3D5, (uchar)(position&0xFF));
    outb(0x3D4, 0x0E);
    outb(0x3D5, (uchar)((position>>8)&0xFF));
}

void set_cursor0(void)
{
  out(0x3D4, 14);
  out(0x3D5, 0);
  out(0x3D4, 15);
  out(0x3D5, 0); 
}
int get_cursor_pos()
{
	int offset;
	offset=vidram-(uchar *)vdu_mem;
	return offset;
}

void move_cursor(int distance)
{
   vidram+=distance*2;
   update_cursor(get_cursor_pos()/2);
}

void set_cursor_pos(int offset)
{
	vidram=(uchar *)vdu_mem+(offset*2);
	update_cursor(get_cursor_pos()/2);
}

void draw_window(int startx,int starty,int endx,int endy,int colour)//startx and starty are co ordinates of top left corner of window endx and endy are the same of bottom right corner
{
	int x;
	
	while(starty<=endy)
	{
		for(x=startx;x<=endx;x++)
		 _outc_bcg_pos(colour,to_offset(x,starty));
		starty++;
	 }
		
}

void set_text_colour(int colour, int from,int to)
{
	while(from<=to)
	{
		_outc_bcg_pos(colour,from);
	}
}

int outbyte(int c)
{
	unsigned short offset;
	unsigned char *vidmem = (unsigned char *)0xB8000;
	
	offset=get_cursor_pos();
	if(offset<(80*25*2))
	{
		if(c=='\r')
		 move_cursor(-1*((offset/2)%80));
		if(c=='\n')
		{
			move_cursor(80);
			outbyte('\r');
		}
		if(c=='\b')
		 move_cursor(-1);
		vidmem+=offset;
		*vidmem =c;
		move_cursor(1);
	}
	else
	  scroll_down(1,0);
	return 0;
}


/*
int outpix(int c,int colour)
{
	outbyte(c);
	*(vidram+to_bcgoffset(get_cursor_pos()))=colour;
	return 0;
}*/

int outpix_pos(int c,int colour,int offset)
{
	outbyte(c);
	_outc_bcg_pos(colour,offset);
	return 0;
}


void _outc_bcg_pos(int colour, int offset)//output a colour to the background/ text attribute(not text) at specified position
{
	uchar *v_mem=(uchar *)vdu_mem;
	if(offset%2==0)
	   *(v_mem+1+offset)=(uchar)colour;
	else
       *(v_mem+offset)=(uchar)colour;

}

#endif


#endif





int strlen(char *str)
{
	int i=0;
	while(*str++)
	 i++;
	return i;
}

int strcmp(char *str1,char *str2)
{
	int diff=0;
	while(*str1 && *str2)
	{
		diff=*str1++ - *str2++;
	}
	return diff;	
}

void strrev(char *str)
{
	char *temp,a;
	while(*temp++) ;
	while(str<temp)
	{
		a=*temp;
		*temp--=*str;
		*str++=a;
	}
}

void countdown_echo(int till,int colour)
{
	while(till)
	{
		
		print_int(till,colour);
		secDelay(1);
		move_cursor(intlen(till)*-1);
		till--;
	}
}


void Delay(long secs) 
{ 
	long a;
	for(a=1;a<=secs*1000*1000;a++)
	{
		//for(a=1;a<=secs*1000*1000*220;a++)
		;
	}
}

void itostr(int a,char *aa)
{
	while(a && *aa)
	{
		*aa=a%10;
		a/=10;
		aa+=1;
	}
}


void secDelay(int secs)
{
	milliDelay(1000*secs);
}
void milliDelay(long millisecs)
{

	microDelay(1000*millisecs);
}

void microDelay(unsigned long microsecs)
{
	unsigned long a;
	for(a=1;a<=microsecs*500;a++)
	 {
		// tinydelay(10);
	 }
}
/*
void tinydelay(unsigned long a)
{
	unsigned long i=0;
	for(;i<=a;i++)
	 tinydelay(1);
}*/


/*
void setTimerFreq(float hz)
{ 
  float base=1193180.0;
  unsigned short word;
  base/=hz;
  //byte=(unsigned short)base;
  out(0x43,0x3c);
  out(0x40,low_byte(word));
  out(0x40,high_byte(word));
}

void set_timer18()
{
	out(0x43,0x3c);
	out(0x40,low_byte(word));
	out(0x40,high_byte(word));
}
*/

